Subject: Re: bug#76978: [PATCH] package.el: Add built-in version check and loaded package marking

From: Ship Mints <[email-masked]>
Date: Wed, 19 Mar 2025 18:13:02 -0400

On Wed, Mar 19, 2025 at 6:08 PM Stefan Monnier <[email-masked]>
wrote:

> >> > Maybe I should change the patch to prompt for allowing a dupe install
> if
> >> > that's what someone wants?
> >> Not sure it's worth the trouble.  It's a sufficiently rare situation.
> > I wish that were true.
>
> I think you misunderstood.  What I think is rare is the desire/need to
> install two different versions at the same time.
>

Agree.  And backing out to an older version is just a reinstall and restart
away...assuming the user remembers which version they had before.  Perhaps
package.el could use an install log users can consult.